## rustc-1.68 1.68.2+dfsg0ubuntu1

=== debian/changelog ===
rustc-1.68 (1.68.2+dfsg0ubuntu1-0ubuntu4) mantic; urgency=medium

  * Branch off into a version-specific source package:
    - d/control: rename all binary packages
    - install all files into /usr/lib/rust-1.68/ and use versioned symlinks
    - drop the documentation package for now to make things easier

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 31 Jul 2023 09:36:34 +0800

rustc (1.68.2+dfsg0ubuntu1-0ubuntu3) mantic; urgency=medium

  * d/tests: Fix Cargo self-build test
  * d/tests: Add a new Cargo smoke test from Nick Rosbrook
  * d/control: tightened Cargo package version requirement of the rust-all
    package

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 13 Jul 2023 11:21:39 +0800

rustc (1.68.2+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.68.2 (LP: #2025179)
    - Updated bundled GitHub RSA key and revoked the compromised key
  * d/control: Lock the Cargo package version requirement to the rustc version
  * d/tests: Add the previous Cargo smoke tests back

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 20 Jun 2023 16:17:01 -0600

rustc (1.68.0+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.68.0 (LP: #2009920)
    - d/copyright: Update copyright information for new dependencies
      and also remove copyright data for deleted dependencies
    - d/patches: Refresh patches
    - d/control: Update vendored deps field
    - d/control: Refresh vendored dependencies list
  * d/p/ubuntu-rustdoc-replace-cargo-links.patch: Replace Cargo related
    links with external web links instead of the local links to avoid
    link-checker errors (because we package Cargo separately)
  * Merge Cargo source package into Rust (LP: #2020000)
    - d/*: copies Cargo Debian manifests into Rust
    - cargo: add Cargo sources to the source tree
    - d/patches: adapt Cargo-specific patches to the new source tree
      structure
    - d/patches, vendor: remove vendored C sources and prebuilt blobs
    - vendor: vendor Cargo-specific dependencies
    - d/control: update vendored dependency list
    - d/rules: revise openssl source check
    - d/cargo.*: install Cargo-specific files
    - d/config: enable Cargo module in the rustbuild configuration
    - d/patches: remove non-Linux platform modules
    - d/rules: use system libssh2 for Cargo
    - d/patches: restore the usage of rustc-workspace-hack to
      reduce the build time and avoid crates feature resolution failure
    - d/patches: remove patches that patch out Cargo from the docs
    - d/rules, d/cargo.*: build and install Cargo API docs
    - d/control, d/rules: install Cargo bash completions
    - d/copyright: update copyright information
    - d/control: make cargo-doc recommends rust-doc

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 17 May 2023 14:15:17 -0700

rustc (1.67.1+dfsg0ubuntu1-0ubuntu3) lunar; urgency=medium

  * d/p/ubuntu-fix-sysroot-detection.patch: use upstream patch
    for better maintainability

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 03 Mar 2023 18:16:52 -0700

rustc (1.67.1+dfsg0ubuntu1-0ubuntu2) lunar; urgency=medium

  * Fix an issue where rustc can not find the standard library
    - d/p/ubuntu-fix-sysroot-detection.patch: Fix sysroot detection
      logic so that rustc will find the correct library paths to
      search in.

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 22 Feb 2023 21:38:58 -0700

rustc (1.67.1+dfsg0ubuntu1-0ubuntu1) lunar; urgency=medium

  * New upstream release 1.67.1 (LP: #2007642)
    - d/p/d-bootstrap-use-local-css.patch: Remove unnecessary hunks
    - d/p/ubuntu-disable-sse2-tests-on-i386.patch: Disable SSE2 tests
      on i386 builds
    - d/copyright: Update copyright information for new dependencies
      and also remove copyright data for deleted dependencies
    - d/patches: Refresh patches
    - d/control: Update vendored deps field
    - d/control: Refresh vendored dependencies list
    - d/source/lintian-overrides: add new test files to the list

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 14 Feb 2023 14:34:02 -0700

rustc (1.66.1+dfsg0ubuntu1-0ubuntu1) lunar; urgency=medium

  * New upstream release 1.66.1 (LP: #2005122)
    - d/control: Switch to LLVM 15 for better optimizations
    - d/rules: Add workarounds for the new bootstrap tests
    - d/patches: Refresh patches to adapt to the new upstream changes
    - d/p/ubuntu-Revert-Use-constant-eval-to-do-strict-validity-check.patch:
      Dropped, no longer needed
    - d/copyright: refresh vendored crate license info
    - d/libstd-rust-1.66.lintian-overrides: update the override files
  * d/rules: Enable LLVM profiler support (LP: #2002694)

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 01 Feb 2023 15:00:02 -0700

rustc (1.65.0+dfsg0ubuntu1-0ubuntu1) lunar; urgency=medium

  [ Simon Chopin ]
  * New upstream release (LP: #2000839)
  * d/p/u-arm-compiler-builtins-add-sync-builtin-fallbacks.patch:
    Dropped, applied upstream
  * Update vendored deps field

  [ Fabian Grünbichler ]
  * add overrides for rust-analyzer test data
  * update d/copyright
  * cherry-pick fix for compiletest with rpath=false
  * Update Files-Excluded for new upstream version 1.65.0
  * Update early-stage patches for 1.65.0+dfsg1


 -- Simon Chopin <schopin@ubuntu.com>  Fri, 20 Jan 2023 10:43:28 +0100

rustc (1.64.0+dfsg1-1~exp2ubuntu2) lunar; urgency=medium

  * d/p/ubuntu-Revert-Use-constant-eval-to-do-strict-validity-check.patch:
    revert an upstream patch to work around a riscv64 miscompilation

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 18 Jan 2023 17:39:14 +0100

rustc (1.64.0+dfsg1-1~exp2ubuntu1) lunar; urgency=medium

  * Merge from Debian experimental.
    Remaining changes:
    - Downgrade cargo from rustc Recommends to Suggests to make rustc promotable to
      main.
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests

