=== debian/tests/control ===
Test-Command: ./debian/rules build
Depends: @, @builddeps@
Restrictions: rw-build-tree, allow-stderr

Tests: create-and-build-crate
Restrictions: rw-build-tree, allow-stderr
Architecture: amd64, armhf, i386, s390x #arm64 and ppc64el run out of disk space when running this test
Depends: @builddeps@
